package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * Site beacon control setting.
 */
@ApiModel(description = "Site beacon control setting.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SiteBeaconControlSetting   {
  @JsonProperty("beaconControl")
  private BeaconControlVo beaconControl;

  @JsonProperty("airtimeFairness")
  private AirtimeFairnessSettingVo airtimeFairness;

  public SiteBeaconControlSetting beaconControl(BeaconControlVo beaconControl) {
    this.beaconControl = beaconControl;
    return this;
  }

  /**
   * Get beaconControl
   * @return beaconControl
  */
  @ApiModelProperty(value = "")

  @Valid

  public BeaconControlVo getBeaconControl() {
    return beaconControl;
  }

  public void setBeaconControl(BeaconControlVo beaconControl) {
    this.beaconControl = beaconControl;
  }

  public SiteBeaconControlSetting airtimeFairness(AirtimeFairnessSettingVo airtimeFairness) {
    this.airtimeFairness = airtimeFairness;
    return this;
  }

  /**
   * Get airtimeFairness
   * @return airtimeFairness
  */
  @ApiModelProperty(value = "")

  @Valid

  public AirtimeFairnessSettingVo getAirtimeFairness() {
    return airtimeFairness;
  }

  public void setAirtimeFairness(AirtimeFairnessSettingVo airtimeFairness) {
    this.airtimeFairness = airtimeFairness;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteBeaconControlSetting siteBeaconControlSetting = (SiteBeaconControlSetting) o;
    return Objects.equals(this.beaconControl, siteBeaconControlSetting.beaconControl) &&
        Objects.equals(this.airtimeFairness, siteBeaconControlSetting.airtimeFairness);
  }

  @Override
  public int hashCode() {
    return Objects.hash(beaconControl, airtimeFairness);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteBeaconControlSetting {\n");
    
    sb.append("    beaconControl: ").append(toIndentedString(beaconControl)).append("\n");
    sb.append("    airtimeFairness: ").append(toIndentedString(airtimeFairness)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

